--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Discover services for a URI using the Yadis protocol. <tt>uri</tt> should be a valid URI represented as a string. This method may raise YADISParseError in the case of an invalid or unparsable XRDS file, or YADISHTTPError is the URI cannot be fetched.
full_name: YADIS::new
is_singleton: true
name: new
params: (uri)
visibility: public
